# Uses of Class
org.apache.sling.discovery.commons.providers.spi.base.ClusterSyncHistory

Packages that use ClusterSyncHistory
Package
Description
org.apache.sling.discovery.commons.providers.spi.base
Provides default SPI-implementations used by discovery.commons.providers.impl

## Uses of ClusterSyncHistory in org.apache.sling.discovery.commons.providers.spi.base

Fields in org.apache.sling.discovery.commons.providers.spi.base declared as ClusterSyncHistory
Modifier and Type
Field
Description
`protected ClusterSyncHistory`
SyncTokenService.`clusterSyncHistory`
Methods in org.apache.sling.discovery.commons.providers.spi.base that return ClusterSyncHistory
Modifier and Type
Method
Description
`ClusterSyncHistory`
SyncTokenService.`getClusterSyncHistory()`
`ClusterSyncHistory`
OakBacklogClusterSyncService.`getConsistencyHistory()`
Methods in org.apache.sling.discovery.commons.providers.spi.base with parameters of type ClusterSyncHistory
Modifier and Type
Method
Description
`void`
OakBacklogClusterSyncService.`setConsistencyHistory(ClusterSyncHistory consistencyHistory)`
`void`
SyncTokenService.`setConsistencyHistory(ClusterSyncHistory consistencyHistory)`